"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const capitalize_1 = require("@zodash/capitalize");
const camelCasePatten = '([A-Z]?[a-z]+)';
const lowerCasePattern = '([a-zA-Z]+)';
const pattern = new RegExp(`${camelCasePatten}|${lowerCasePattern}`, 'g');
function words(value) {
    return value.match(pattern);
}
function camelCase(value) {
    return words(value).reduce((result, word, index) => {
        const lower = word.toLowerCase();
        return result + (index ? capitalize_1.capitalize(lower) : lower);
    }, '');
}
exports.camelCase = camelCase;
//# sourceMappingURL=camelCase.js.map